<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width,initial-scale=1.0">
  <title>Socket.IO chat</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
  <link rel="stylesheet" href="./assets/css/style.css">
</head>
<body>
  <h4 id="status"></h4>
  
  <div>
    <div class="input-group flex-nowrap">
      <span class="input-group-text" id="addon-wrapping">My ID</span>
      <input type="text" class="form-control" placeholder="My Socket ID" disabled aria-label="Username" aria-describedby="addon-wrapping" id="mySocketId">
    </div>       
  </div>  
  <select class="form-select" aria-label="Default select example" id="room">
    <option>Select a ROOM</option>
  </select>

  <ul class="list-group" id="messages">
  </ul>  

  <form id="form">
    <div>
      <div class="form-check form-switch">
        <input class="form-check-input" type="checkbox" name="broadcast" id="broadcast">
        <label class="form-check-label" for="flexSwitchCheckDefault">Broadcast</label>
      </div>        
    </div>    
      <div>
        <div class="input-group flex-nowrap">
          <span class="input-group-text" id="addon-wrapping">Destination</span>
          <input type="text" class="form-control" placeholder="Socket ID" aria-label="Username" aria-describedby="addon-wrapping" name="destination" id="destination"  autocomplete="off">
        </div>        
      </div>
      <div>
        <div class="input-group flex-nowrap">
          <span class="input-group-text" id="addon-wrapping">Message</span>
          <input type="text" class="form-control" placeholder="Message" aria-label="Username" aria-describedby="addon-wrapping" id="message" autocomplete="off">
        </div>        
      </div>
      <div>
        <div class="input-group">
          <button class="btn btn-primary" type="submit">Send</button>
        </div>        
      </div>
  </form>


</body>
</html>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
<script src="http://localhost:9000/socket.io/socket.io.js"></script>
<script src="./assets/js/core.js"></script>
<script src="./assets/js/events.js"></script>

